Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000408 [Piwigo] albums feature N/A 2006.06.08 14:26 2010.07.23 23:40
Reporter bisounours View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC1 Product Version
  Target Version 2.2.0RC1 Product Build
Summary 0000408: automatically sort sub-categories
Description On the categories management screen, add a checkbox to apply sort on sub-categories.

This would avoid to apply the same action in every single category.

See the french topic : http://fr.piwigo.org/forum/viewtopic.php?id=7251 [^]

Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000412feedback Auto sort of the categories: add a auto sort per dir name 

-  Notes
(0001363)
bisounours (reporter)
2006.08.10 15:15
edited on: 2006.08.17 13:34

Existe-il un moyen de modifier le code pour qu'en cliquant sur le bouton "ordonner", les sous-catégories soient ordonnées aussi ?

(0003973)
VDigital (reporter)
2010.06.16 04:55

Additional request: Sorting subcategories as an option.
http://piwigo.org/forum/viewtopic.php?pid=114114#p114114 [^]
(0003974)
plg (manager)
2010.06.16 09:00

VDigital wrote:

> Additional request: Sorting subcategories as an option.

This is exactly the purpose of this issue
(0004041)
svn (reporter)
2010.07.23 23:33

[Subversion] r6698 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 408: ability to automatically sort sub-categories. The number of SQL
queries is constant, no matter the deepth of your tree.

+ refactor to avoid duplicate code (ascending/desceding should be only a
single parameter in a function, not 20 lines of duplicated code)

- Issue History
Date Modified Username Field Change
2006.06.08 14:26 bisounours New Issue
2006.06.08 14:26 bisounours browser => any
2006.06.08 14:26 bisounours Web server => Apache 1.3.x
2006.06.08 16:14 plg version 1.6.0RC2 =>
2006.06.13 21:25 plg Relationship added related to 0000412
2006.08.10 15:15 bisounours Note Added: 0001363
2006.08.17 13:34 bisounours Note Edited: 0001363
2008.06.04 23:25 plg Status new => assigned
2008.06.04 23:25 plg Assigned To => plg
2010.06.14 12:14 plg Summary ordonner les sous-catégories par ordre alphabético-numériquement => automatically sort sub-categories
2010.06.14 12:14 plg Description Updated
2010.06.16 04:55 VDigital Note Added: 0003973
2010.06.16 09:00 plg Note Added: 0003974
2010.07.23 23:33 svn Checkin
2010.07.23 23:33 svn Note Added: 0004041
2010.07.23 23:40 plg Status assigned => closed
2010.07.23 23:40 plg Resolution open => fixed
2010.07.23 23:40 plg Fixed in Version => 2.2
2010.07.23 23:40 plg Target Version => 2.2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker